cmake_minimum_required(VERSION 3.4.1)

project(AirplayServer)

set (CMAKE_CXX_STANDARD 11)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCMAKE_BUILD_TYPE=Release")

add_subdirectory(lib/curve25519)
add_subdirectory(lib/ed25519)
add_subdirectory(lib/playfair)
add_subdirectory(lib/plist)
add_subdirectory(lib)
add_subdirectory(renderers)

add_executable( AirplayServer uxplay.cpp)
include_directories ( renderers ${GLIB_INCLUDE_DIRS} )
include_directories ( renderers ${GTK_INCLUDE_DIRS} )
include_directories ( renderers ${GST_INCLUDE_DIRS} )
target_link_libraries ( AirplayServer renderers airplay ${GLIB_LDFLAGS} ${GTK_LIBRARIES} ${GST_LIBRARIES})

set (path CMAKE_SOURCE_DIR)

install(PROGRAMS AirplayServer DESTINATION path/../)

